html,
body {
    font-family: var(--markdown-font-family, -apple-system, BlinkMacSystemFont, "Segoe WPC", "Segoe UI", system-ui, "Ubuntu", "Droid Sans", sans-serif);
    font-size: var(--markdown-font-size, 14px);
    line-height: var(--markdown-line-height, 22px);
    word-wrap: break-word;
}

body {
    padding: 1em 26px 24px;
}

@media (max-width: 640px) {
    body {
        padding: calc(0.9em + env(safe-area-inset-top)) 14px calc(20px + env(safe-area-inset-bottom));
    }
}

h1,
h2,
h3,
h4,
h5,
h6,
p,
ol,
ul,
pre,
table {
    margin-top: 0;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-weight: 600;
    margin-top: 24px;
    margin-bottom: 16px;
    line-height: 1.25;
}

h1 {
    font-size: 2em;
    margin-top: 0;
    padding-bottom: 0.3em;
    border-bottom-width: 1px;
    border-bottom-style: solid;
}

h2 {
    font-size: 1.5em;
    padding-bottom: 0.3em;
    border-bottom-width: 1px;
    border-bottom-style: solid;
}

h3 {
    font-size: 1.25em;
}

h4 {
    font-size: 1em;
}

h5 {
    font-size: 0.875em;
}

h6 {
    font-size: 0.85em;
}

p {
    margin-bottom: 16px;
}

li p {
    margin-bottom: 0.7em;
}

ul,
ol {
    margin-bottom: 0.7em;
    padding-left: 2em;
}

ul ul:first-child,
ul ol:first-child,
ol ul:first-child,
ol ol:first-child {
    margin-bottom: 0;
}

a {
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

a:focus,
input:focus,
select:focus,
textarea:focus {
    outline: 1px solid -webkit-focus-ring-color;
    outline-offset: -1px;
}

hr {
    border: 0;
    height: 1px;
    border-bottom: 1px solid;
}

blockquote {
    margin: 0;
    padding: 0 16px 0 10px;
    border-left-width: 5px;
    border-left-style: solid;
    border-radius: 2px;
}

table {
    border-collapse: collapse;
    margin-bottom: 0.7em;
}

th {
    text-align: left;
    border-bottom: 1px solid;
}

th,
td {
    padding: 5px 10px;
}

table > tbody > tr + tr > td {
    border-top: 1px solid;
}

code {
    font-family: var(--vscode-editor-font-family, "SF Mono", Monaco, Menlo, Consolas, "Ubuntu Mono", "Liberation Mono", "DejaVu Sans Mono", "Courier New", monospace);
    font-size: 1em;
    line-height: 1.357em;
}

pre {
    border: 1px solid var(--vscode-widget-border, rgba(127, 127, 127, 0.35));
    padding: 16px;
    border-radius: 3px;
    overflow: auto;
}

pre code {
    display: inline-block;
    tab-size: 4;
    background: none;
}

img,
video {
    max-width: 100%;
    max-height: 100%;
}

sub,
sup {
    line-height: 0;
}

.vscode-light h1,
.vscode-light h2,
.vscode-light hr,
.vscode-light td {
    border-color: rgba(0, 0, 0, 0.18);
}

.vscode-dark h1,
.vscode-dark h2,
.vscode-dark hr,
.vscode-dark td {
    border-color: rgba(255, 255, 255, 0.18);
}

.vscode-light th {
    border-color: rgba(0, 0, 0, 0.69);
}

.vscode-dark th {
    border-color: rgba(255, 255, 255, 0.69);
}
